BOWTIE-BUILD(1)

NAME
bowtie-build - building a colorspace index for bowtie

SYNOPSIS
bowtie-build [options]* <reference_in> <ebwt_outfile_base>

DESCRIPTION

reference_in
    comma-separated list of files with ref sequences

ebwt_outfile_base
    write Ebwt data to files with this dir/basename

OPTIONS

-f  reference files are Fasta (default)

-c  reference sequences given on cmd line (as <seq_in>)

--large-index
    force generated index to be 'large', even if ref has fewer than 4 billion nucleotides

-a/--noauto
    disable automatic -p/--bmax/--dcv memory-fitting

-p/--packed
    use packed strings internally; slower, uses less mem

--bmax <int>
    max bucket sz for blockwise suffix-array builder

--bmaxdivn <int>
    max bucket sz as divisor of ref len (default: 4)

--dcv <int>
    diff-cover period for blockwise (default: 1024)

--nodc
    disable diff-cover (algorithm becomes quadratic)

-r/--noref
    don't build .3/.4.ebwt (packed reference) portion

-3/--justref
    just build .3/.4.ebwt (packed reference) portion

-o/--offrate <int>
    SA is sampled every 2^offRate BWT chars (default: 5)

-t/--ftabchars <int>
    # of chars consumed in initial lookup (default: 10)

--threads <int>
    # of threads

--ntoa
    convert Ns in reference to As

--seed <int>
    seed for random number generator

-q/--quiet
    verbose output (for debugging)

-h/--help
    print detailed description of tool and its options

--usage
    print this usage message

--version
    print version information and quit

64-bit Built on Debian-reproducible Thu, 25 Jan 2024 12:27:31 +0100 Compiler: gcc version 13.2.0 Options: -O3 -Wl,--hash-style=both -Wdate-time -D_FORTIFY_SOURCE=3 -g -O2 -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -ffile-prefix-map=.=. -flto=auto -ffat-lto-objects -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -mbranch-protection=standard -fdebug-prefix-map=.=/usr/src/bowtie-1.3.1-3 -g -O2 -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer -ffile-prefix-map=.=. -flto=auto -ffat-lto-objects -fstack-protector-strong -fstack-clash-protection -Wformat -Werror=format-security -mbranch-protection=standard -fdebug-prefix-map=.=/usr/src/bowtie-1.3.1-3 -std=c++03 -Wl,-Bsymbolic-functions -flto=auto -ffat-lto-objects -Wl,-z,relro -Wl,-z,now Sizeof {int, long, long long, void*, size_t, off_t}: {4, 8, 8, 8, 8, 8}